ScopeElement (CMDB Model API)
Keywords: com.collation.platform.model.discovery.scope.ScopeElement interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.scope
Interface ScopeElement

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  IpAddressScope, IpNetworkScope, IpRangeScope

    public interface ScopeElement

extends LogicalElement

Naming Rules:
  0="keyGuid,name"
Persistable:
  true
Table Name:
  SCPEELMT
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`ScopeElement[]` | `getExcludes()`
`Guid` | `getKeyGuid()`
`java.lang.String` | `getName()`
`boolean` | `hasExcludes()`
`boolean` | `hasKeyGuid()`
`boolean` | `hasName()`
`void` | `setExcludes(ScopeElement[] excludes)`
`void` | `setKeyGuid(Guid keyId)`
`void` | `setName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getKeyGuid

    Guid getKeyGuid()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeyGuid

    void setKeyGuid(Guid keyId)

### hasKeyGuid

    boolean hasKeyGuid()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getExcludes

    ScopeElement[] getExcludes()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    SCOPEELEMENT_EXCLUDES

### setExcludes

    void setExcludes(ScopeElement[] excludes)

### hasExcludes

    boolean hasExcludes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD